Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.syndication.propono.atom.client
Class ClientEntry

    java.lang.Object
      com.sun.syndication.feed.atom.Entry
          com.sun.syndication.propono.atom.client.ClientEntry

All Implemented Interfaces:
  Extendable, Serializable, Cloneable

Direct Known Subclasses:
  ClientMediaEntry

    public class ClientEntry

extends Entry

Client implementation of Atom entry, extends ROME Entry to add methods for easily getting/setting content, updating and removing the entry from the server.

See Also:
  Serialized Form

Constructor Summary
`ClientEntry(ClientAtomService service, ClientCollection collection)`
`ClientEntry(ClientAtomService service, ClientCollection collection, Entry entry, boolean partial)`

Method Summary
`boolean` | `equals(Object o)` Determines if entries are equal based on edit URI.
`Content` | `getContent()` Convenience method to get first content object in content collection.
`String` | `getEditURI()` Get the URI that can be used to edit the entry via HTTP PUT or DELETE.
`void` | `remove()` Remove entry from server.
`void` | `setContent(Content c)` Convenience method to set first content object in content collection.
`void` | `setContent(String contentString, String type)` Set content of entry.
`void` | `update()` Update entry by posting new representation of entry to server.

Methods inherited from class com.sun.syndication.feed.atom.Entry
`clone, getAlternateLinks, getAuthors, getCategories, getContents, getContributors, getCreated, getForeignMarkup, getId, getIssued, getModified, getModule, getModules, getOtherLinks, getPublished, getRights, getSource, getSummary, getTitle, getTitleEx, getUpdated, getXmlBase, hashCode, isMediaEntry, setAlternateLinks, setAuthors, setCategories, setContents, setContributors, setCreated, setForeignMarkup, setId, setIssued, setModified, setModules, setOtherLinks, setPublished, setRights, setSource, setSummary, setTitle, setTitleEx, setUpdated, setXmlBase, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientEntry

    public ClientEntry(ClientAtomService service,
                       ClientCollection collection)

### ClientEntry

    public ClientEntry(ClientAtomService service,
                       ClientCollection collection,
                       Entry entry,
                       boolean partial)
                throws ProponoException

Throws:
  `ProponoException`

Method Detail

### setContent

    public void setContent(String contentString,
                           String type)

  Set content of entry.

  Parameters:
    `contentString` - content string.
    `type` - Must be "text" for plain text, "html" for escaped HTML, "xhtml" for XHTML or a valid MIME content-type.

### setContent

    public void setContent(Content c)

  Convenience method to set first content object in content collection. Atom 1.0 allows only one content element per entry.

### getContent

    public Content getContent()

  Convenience method to get first content object in content collection. Atom 1.0 allows only one content element per entry.

### equals

    public boolean equals(Object o)

  Determines if entries are equal based on edit URI.

  Overrides:
    `equals` in class `Entry`

### update

    public void update()
                throws ProponoException

  Update entry by posting new representation of entry to server. Note that you should not attempt to update entries that you get from iterating over a collection they may be "partial" entries. If you want to update an entry, you must get it via one of the `getEntry()` methods in `Collection` or `AtomService`.

  Throws:
    `ProponoException` - If entry is a "partial" entry.

### remove

    public void remove()
                throws ProponoException

  Remove entry from server.

  Throws:
    `ProponoException`

### getEditURI

    public String getEditURI()

  Get the URI that can be used to edit the entry via HTTP PUT or DELETE.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD